<template>

<!--  <router-view v-slot="{ Component }">-->
<!--    <transition name="fade-transition" mode="out-in">-->
<!--      <keep-alive>-->
<!--        <component :is="Component"></component>-->
<!--      </keep-alive>-->
<!--    </transition>-->
<!--  </router-view>-->

<!--  v-if="showBar"-->
  <div>
<!--    <van-sticky>-->
<!--    </van-sticky>-->
    <router-view />
  </div>
</template>
<script setup lang="ts">
import { getDefaultLocal } from '@/api/system/user';
const lang = localStorage.getItem('lang')


const init = async () => {
  const defaultLocal = await getDefaultLocal()
  if (lang !== defaultLocal.defaultLocal) {
    localStorage.setItem('lang', defaultLocal.defaultLocal)
    localStorage.setItem('defaultCoinUnit', defaultLocal.defaultCoinUnit)
    location.reload()
  }
}

init()

</script>

<style>
@import "style/index.scss";
body {
  //background-color: #f8f8f8;
  -webkit-font-smoothing: antialiased;
}
</style>
